### Function

# Foundry json_node_from_bytes

#### Declaration [src]

    DexFuture*
    foundry_json_node_from_bytes (
      GBytes* bytes
    )

#### Description [src]

Bytes to be deocded into a json node.

#### Parameters

`bytes`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `JsonNode` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.